import { EventEmitter } from '../../min-utils';
import { TokenHandler, AccessToken, TokenEvent } from './token';
import { TokenState } from './token';
interface TokenStore {
    get(key: string): any;
    set(key: string, value: any, opt?: {
        expires?: Date;
    }): void;
    remove(key: string): void;
}
export interface TokenHandlerStore {
    cookie?: boolean;
    local?: boolean;
}
export declare function createTokenHandler(props?: TokenHandlerStore): ClientTokenHandler;
declare class ClientTokenHandler extends EventEmitter<TokenEvent> implements TokenHandler {
    private store;
    private state;
    constructor(props: {
        cookie: boolean;
        local: boolean;
        noop: boolean;
    }, store?: TokenStore);
    getState(): TokenState;
    getToken(): AccessToken;
    private get tokenKey();
    private loadToken;
    getAccessToken(): string;
    canRefresh(): boolean;
    setToken(token: AccessToken, noEmit?: boolean): void;
    getRefreshToken(): string;
    tokenTimeout(): void;
    removeToken(): void;
    refreshToken(): Promise<boolean>;
}
export {};
