import { HTMLAttributes } from 'react';
import { SpaceProps } from 'antd';
import type { SpaceSize } from 'antd/es/space';
export interface ImageCardProps extends HTMLAttributes<HTMLDivElement> {
    size: number;
    title?: string;
    url: string;
    imageClass?: string;
    titleClass?: string;
}
export declare const ImageCard: React.FC<ImageCardProps>;
export interface ImageCardTwoProps extends HTMLAttributes<HTMLDivElement> {
    imageWidth: number;
    imageHeight: number;
    imageUrl: string;
    title?: string;
    subTitle?: string;
    linkUrl?: string;
    linkTitle?: string;
    imageClass?: string;
    titleClass?: string;
    linkClass?: string;
    subTitleClass?: string;
    reverse?: boolean;
}
export declare const ImageCardTwo: React.FC<ImageCardTwoProps>;
export interface ImageCard3Item {
    imageWidth: number;
    imageHeight: number;
    imageUrl: string;
    title: string;
    subTitle?: string;
    linkUrl?: string;
    linkTitle?: string;
    imageClass?: string;
    titleClass?: string;
    linkClass?: string;
    subTitleClass?: string;
}
export interface ImageCard3Props extends HTMLAttributes<HTMLDivElement> {
    imageWidth: number;
    imageHeight: number;
    imageUrl: string;
    imageClass?: string;
    subTitleClass?: string;
    reverse?: boolean;
    items: ImageCard3Item[];
    itemSize?: SpaceSize;
}
export declare const ImageCard3: React.FC<ImageCard3Props>;
export interface ImageCardListProps<T = any> extends SpaceProps {
    list: T[];
    component: React.FC<any>;
}
export declare function ImageCardList<T = any>({ component: Component, list, className, direction, split, ...pp }: ImageCardListProps<T>): import("react").JSX.Element;
export interface SceneCardItem {
    title: string;
    subTitle: string;
    imageUrl: string;
}
export interface SceneCardProps extends SpaceProps {
    items: SceneCardItem[];
    imageWidth: number;
    imageHeight: number;
    contentHeight?: number | string;
    titleClass?: string;
    subTitleClass?: string;
}
export declare const SceneCard: React.FC<SceneCardProps>;
