/// <reference types="react" />
import 'swiper/css';
import 'swiper/css/bundle';
import 'swiper/css/autoplay';
export interface SwiperLineItem {
    userAvatar: string;
    userAlt?: string;
    userName: string;
    userJob: string;
    content: string;
}
export interface SwiperLineGroup {
    items: SwiperLineItem[];
    key?: number;
    autopay?: any;
}
export interface SwiperLineProps {
    items: SwiperLineItem[][];
    /**
     * 多久时间ms滚动一行, 默认6000ms 即6s
     */
    speed?: number;
    /**
     * 阴影遮罩百分比
     */
    maskWidthPercent?: number;
    /**
     * 视图内可见个数, 默认2个
     */
    slidesPerView?: number;
}
export declare const SwiperLine: React.FC<SwiperLineProps>;
