/// <reference types="react" />
import { ModalProps } from "antd";
import { FormInstance } from "antd/lib/form/Form";
import { Rule } from "antd/es/form";
export interface FormDialogProps<T = any, V = any> extends ModalProps {
    initialValues?: any;
    hiddenFields?: string[];
    onSubmit?: (values: V, form: FormInstance<V>) => Promise<T | undefined | void | [T | undefined | void, boolean]>;
    child?: ((props: {
        form: FormInstance<V>;
        done: (data?: T) => void;
    }) => React.ReactNode);
}
export declare function openFormDialog<T = any, V = any>(dialog: FormDialogProps<T, V>): Promise<T | undefined>;
export interface DialogChildProps<T = any> {
    done: (data?: T) => void;
    setTitle: (title: React.ReactNode | ((value: React.ReactNode) => React.ReactNode)) => void;
}
export interface DialogProps<T = any> extends ModalProps {
    childStyle?: React.CSSProperties;
    onOk?: () => Promise<T | undefined>;
    child?: ((props: DialogChildProps) => React.ReactNode);
}
export declare function openDialog<T = any>(dialog: DialogProps<T>): Promise<T | undefined>;
export declare function openComponentDialog<T = any, P = any>(dialog: Partial<DialogProps<T>>, Comp: React.FunctionComponent<P>, initProps?: Partial<P>): Promise<T | undefined>;
export declare function openComponentForm<T = any, P = any>(dialog: Partial<FormDialogProps<T>>, Comp: React.FunctionComponent<P>, initProps?: Partial<P>): Promise<T | undefined>;
export declare function openComponentDialogHoc<T = any, P = any>(Comp: React.FunctionComponent<P>, dialogProps?: Partial<DialogProps<T>>, defaultProps?: Partial<P>): (initProps?: Partial<P>, dialog?: Partial<DialogProps<T>>) => Promise<T>;
export declare function openInputDialog<T = any, V = any>({ name, placeHolder, title, multi, initialValues, rules, onFinish, width, }: {
    name?: string;
    placeHolder?: string;
    title?: string;
    multi?: boolean;
    initialValues?: any;
    rules?: Rule[];
    onFinish?: (input: T) => Promise<V>;
    width?: number | string;
}): Promise<V | undefined>;
